Export layers as DXF

09/04/2018 17:25 - Philippe May

Status: Resolved Start date: 09/04/2018

Priority: Low Due date:  

Assignee: Philippe May % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Architects work in Autocad, and they would be happy getting DXF files and avoid spending 5 minutes on QGIS.

This feature request needs to be specified more precisely.

History

#1 - 08/02/2019 12:23 - Philippe May

A lot of research done, played with ogr2ogr and GeoDataFrame.to_file(driver='DXF').

It's difficult environment, even for simple tests, partly because the DXF format depends heavily on versions and would require extensive testing (eg: 

https://github.com/OSGeo/gdal/issues/835).

#2 - 05/03/2019 12:42 - Philippe May

- Status changed from New to Resolved

- % Done changed from 0 to 100

Finally got it working (941bcade) simply with fiona, for individual layers only. Won't bother with multiple layers.
